Subject: Sieve suddenly missinterprets X-Spam-Status

From: Ted Garrett <[email-masked]>
Date: Sun, 29 Jun 2003 16:53:08 -0400 (EDT)

For the longest time, the first rule in my active sieve script was -

if anyof (header :contains "X-Spam-Status" "Yes") {
    fileinto  INBOX.Spam.Assassin;
    stop;
}

And this worked just fine.  Suddenly about a week ago, sieve started
pouring ALL of my mail into the spam assassin mailbox.  In order to get it
to work properly again, I had to delete the rule, save a new script,
delete the original script, add rules to the new script, then add the old
rule back into the new script (not as the first rule) and move it up from
the bottom of the script to the top.

I guess I'm looking for whether anyone else has seen anything this strange
or not.

Thanks!